package fxmaju;

import javafx.application.Application;
import javafx.application.Platform;
import javafx.fxml.FXMLLoader;
import javafx.scene.Scene;
import javafx.scene.layout.Pane;
import javafx.stage.Stage;
import majuKomponentit.Maju;


/**
 * @author maurihase
 * @version 31.1.2025
 */
public class majuMain extends Application {
    @Override
    public void start(Stage primaryStage) {
        try {
            final FXMLLoader ldr = new FXMLLoader(getClass().getResource("majuView.fxml"));
            final Pane root = (Pane) ldr.load();
            final majuController majuCtrl = (majuController) ldr.getController();
            final Scene scene = new Scene(root);
            scene.getStylesheets().add(getClass().getResource("maju.css").toExternalForm());
            primaryStage.setScene(scene);
            primaryStage.setTitle("MAJU");
            Maju maju = new Maju();
            majuCtrl.setMaju(maju);
            primaryStage.show();
            //if (!majuCtrl.avaa()) Platform.exit();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    /**
     * @param args Ei käytössä
     */
    public static void main(String[] args) {
        launch(args);
    }
} 