package majuKomponentit;

import fi.jyu.mit.ohj2.Mjonot;

import java.io.PrintStream;

/**
 * @author jpaaj
 * @version 09.4.2025
 *
 */
public class Genre {
    //atribuutteja genreille
    private String genreNimi;
    private int genreId;

    private static int seuraavaid = 1;


    /**
     * Pohja genreille
     * @param genreNimi on genrelle nimi
     */
    public Genre(String genreNimi) {
        this.genreNimi = genreNimi;
    }


    /**
     * Tyhjä
     */
    public Genre(){
        //tyhjää täynnä
    }


    /**
     * Pääohjelma genrelle
     * @param args ei
     */
    public static void main (String[] args){
        //Tasohyppely-genre
        Genre tasohyppely = new Genre("Tasohyppely");
        tasohyppely.rekistoroi();
        tasohyppely.tulosta(System.out);

        //Rento-genre
        Genre rento = new Genre("Rento");
        rento.rekistoroi();
        rento.tulosta(System.out);
    }


    /**
     * Tulostus
     * @param out tulostettava
     */
    public void tulosta(PrintStream out) {
        out.println("Genre: " + genreNimi);
    }


    /**
     * Rekistöröidään genre, eli annetaan genrelle järjestysnumero, joka on yksilöivä
     * @return genren järjestysluku
     */
    public int rekistoroi() {
        genreId = seuraavaid;
        seuraavaid++;
        return genreId;
    }


    /**
     * Genren järjestysluvulle haku
     * @return genren järjestysluvun
     */
    public int getTunnusnro() {
        return genreId;
    }


    /**
     * Genrejen tiedoston lukua varten
     * @param rivi joka on luettu oikein
     */
    public void parse(String rivi) {
        StringBuilder sb = new StringBuilder(rivi);
        genreId = Mjonot.erota(sb, '|', genreId);
        genreNimi = Mjonot.erota(sb, '|', genreNimi);
    }
}
